Subject: bug#723 closed by [email-masked] (#723: fixed in src:systemctl-service-shim version 0.0.7)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Thu, 02 May 2024 03:40:02 +0000

This is an automatic notification regarding your bug report
which was filed against the systemctl-service-shim package:

#723: init-system-helpers: update-rc.d calls systemctl on a SysVinit system, creating a recursion

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
723: https://bugs.devuan.org/cgi/bugreport.cgi?bug=723
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #723: fixed in src:systemctl-service-shim version 0.0.7
From: [email-masked]
To: [email-masked]
Date: Thu, 02 May 2024 03:37:45 +0000

Version: 0.0.7

Source package systemctl-service-shim (0.0.7) added to Devuan suite unstable.

This closes bug report 723.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Wed, 01 May 2024 22:28:41 -0500
Source: systemctl-service-shim
Architecture: source
Version: 0.0.7
Distribution: unstable
Urgency: medium
Maintainer: B. Stack <[email-masked]>
Changed-By: Plasma (David Paul) <[email-masked]>
Closes: 723
Changes:
 systemctl-service-shim (0.0.7) unstable; urgency=medium
 .
   [ B. Stack ]
   * Relicense to LGPLv2.1
 .
   [ Plasma (David Paul) ]
   * Fix endless loop when calling update-rc.d
     (Closes: #723)
   * Re-remove symlink control logic
   * Bump Standards-Version to 4.7.0 ; no change
Checksums-Sha1:
 deeb6e60e63e5d3c4cbefd06f69adb03f7b07a32 1442 systemctl-service-shim_0.0.7.dsc
 0dcf4dd60ed6b792b7e3cead2c0e2a580d03f30e 16668 systemctl-service-shim_0.0.7.tar.xz
 b3741f94b76eebd1fdc59d982b3e9c5584748106 5415 systemctl-service-shim_0.0.7_source.buildinfo
Checksums-Sha256:
 4266060345da2066345563f45ce01bdf948aa3dd670b11a3a0ad79bb3538bded 1442 systemctl-service-shim_0.0.7.dsc
 a6315a6c78328dd04de9cba8811a3e096af75bf8f9f5126ecebca81c33dcad86 16668 systemctl-service-shim_0.0.7.tar.xz
 62cad4297628802631d6c75cdb090f96f0aa7e781482edb775556362a7fe90b9 5415 systemctl-service-shim_0.0.7_source.buildinfo
Files:
 0d74430a858983dc9f551b01b5883daf 1442 admin optional systemctl-service-shim_0.0.7.dsc
 a266dcbf180d63c09bc2e7812bb56154 16668 admin optional systemctl-service-shim_0.0.7.tar.xz
 dad6ca6d32380a5dcc1cb1166e386c5c 5415 admin optional systemctl-service-shim_0.0.7_source.buildinfo

Subject: init-system-helpers: update-rc.d calls systemctl on a SysVinit system, creating a recursion
From: [email-masked] (Wolfgang Wegner)
To: [email-masked]
Date: Sat, 12 Nov 2022 21:20:17 +0100

Package: init-system-helpers
Version: 1.65.2devuan1
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

I am trying to install a package which expects SystemD. I manually added
scripts and an initial set for sysVinit. However, the post-install script
calls "systemctl --no-reload enable <packagename>", which invokes
update-rc.d, which in turn diverts to a systemctl call, and so on.

Calling update-rc.d from the systemctl "abstraction" (surrogate?) seems
to be correct, but I would have expected update-rc.d to detect the system's
init system and - as I am using sysVinit on Devuan - just modify the links.

update-rc.d behaviour can also be reproduced when calling it for an already
installed service.

-- System Information:
Distributor ID: Devuan
Description:    Devuan GNU/Linux 5 (daedalus/ceres)
Release:        5
Codename:       daedalus ceres
Architecture: x86_64

Kernel: Linux 5.19.9-wolfgang-wolfgang (SMP w/12 CPU threads; PREEMPT)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages init-system-helpers is related to:
ii  insserv  1.24.0-1

-- no debconf information